> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get resource groups graph with user IDs



## OpenAPI

````yaml https://openapi.production.reelevant.io/v1/render/entity-manager get /resource-groups/graph
openapi: 3.0.0
info:
  title: entity-manager
  version: unknown
  description: |-
    # Errors
    | Error code | Message | HTTP status code | Payload |
    | :--- | :--- | :--- | :--- |
    | number | string | 400 |  |
servers:
  - url: https://api.reelevant.com/v2/
    description: production
security: []
paths:
  /resource-groups/graph:
    get:
      tags:
        - ResourceGroup
      summary: Get resource groups graph with user IDs
      operationId: get-resource-group-graph
      parameters: []
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - success
                    required:
                      - status
                    additionalProperties: false
                  - $ref: >-
                      #/components/schemas/InternalResponse_Array_id_string_companyId_string_name_string_parentIds_Array_string_childrenIds_Array_string_userIds_Array_string_excludeFromAncestorInheritance_Union_false_true_directUsersCount_number_totalUsersCount_number
      security:
        - password_auth: []
components:
  schemas:
    InternalResponse_Array_id_string_companyId_string_name_string_parentIds_Array_string_childrenIds_Array_string_userIds_Array_string_excludeFromAncestorInheritance_Union_false_true_directUsersCount_number_totalUsersCount_number:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              companyId:
                type: string
              name:
                type: string
              parentIds:
                type: array
                items:
                  type: string
              childrenIds:
                type: array
                items:
                  type: string
              userIds:
                type: array
                items:
                  type: string
              excludeFromAncestorInheritance:
                type: boolean
              directUsersCount:
                type: number
              totalUsersCount:
                type: number
            required:
              - id
              - companyId
              - name
              - parentIds
              - childrenIds
              - userIds
              - excludeFromAncestorInheritance
              - directUsersCount
              - totalUsersCount
            additionalProperties: false
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v1/auth/token
          refreshUrl: https://api.reelevant.com/v1/auth/token
          scopes: {}

````